<template>
  <div class="stock-form">
    <Row class="form-head">{{title}}</Row>
    <Row class="form-body">
      <slot></slot>
    </Row>
  </div>
</template>

<script>
  export default {
    name: 'StockForm',
    props: {
      title: { type: String, required: true }
    },
  }
</script>

<style lang="scss" scoped>
  .stock-form {
    border-radius: 8px;
    .form-head {
      height: 80px;
      padding: 0 10px;
      font-size: 24px;
      font-weight: bolder;
      line-height: 80px;
      vertical-align: middle;
    }
    .form-body {
      padding: 15px 20px;
    }
  }
</style>
